Subject: [dns-privacy] Call for Papers: NDSS Workshop on DNS Privacy 2018

From: Sara Dickinson <[email-masked]>
Date: Mon, 9 Oct 2017 18:13:30 +0100

With permission
——————————

Hi All, 

Please consider submitting to the NDSS DNS Privacy Workshop 2018: Increasing Usability and Decreasing Traceability.

Call for papers: https://easychair.org/cfp/dprive2018 <https://easychair.org/cfp/dprive2018>
Workshop Website: https://dnsprivacy.org/wiki/display/DNSPWS/DNS+Privacy+Workshop <https://dnsprivacy.org/wiki/display/DNSPWS/DNS+Privacy+Workshop>

Location and Important Dates
-----------------------------------------
Workshop Location: San Diego, CA, USA
Workshop date: 18th Feb 2018 (co-located with NDSS 2018)

Abstract submissions: 1st Dec 2017 anywhere-on-earth
Paper submission: 8th Dec 2017 anywhere-on-earth
Notifications and invitations to present at the workshop: 13th Jan 2018

Submissions may be new papers, papers already published, Short Papers, or
Position Papers.  Also, please contact the TPC chairs if you want to
suggest a panel.

Allison, Sara and Melinda.

---

*Workshop on DNS Privacy 2018*

Background
-----------------
DNS Privacy has been a growing concern of the IETF and others in the Internet engineering community for the last few years.  Almost every activity on the Internet starts with a DNS query (and often several).

* Those queries can reveal not only what websites an individual visits but also metadata about other services such as the domains of email contacts or chat services.  
* Whilst the data in the DNS is public, individual DNS transactions made by an end user should not be public. 
* Today, however DNS queries are sent in clear text (using UDP or TCP) which means passive eavesdroppers can observe all the DNS lookups performed. 
* The DNS is a globally distributed system that crosses international boundaries and often uses servers in many different countries in order to provide resilience. 
* It is well known that the NSA used the MORECOWBELL tool to perform mass surveillance of DNS traffic, and other surveillance techniques involving DNS almost certainly are in play today.   
* Some ISPs embed user information (e.g. a user ID or MAC address) within DNS queries that go to the ISP’s resolver in order to provide services such as Parental Filtering. This allows for fingerprinting of individual users. 
* Some CDNs embed user information (e.g. client subnets) in queries from resolvers to authoritative servers (to geo-locate end users). This allows for correlation of queries to particular subnets. 
* Some ISPs log DNS queries at the resolver and share this information with third-parties in ways not known or obvious to end users.

The IETF's DPRIVE Working Group has taken initial protocol steps to address these concerns (with much of the early work focussing on the stub to resolver problem), publishing DNS Privacy Considerations (RFC 7626), Specification for DNS over Transport Layer Security (RFC 7858), and The EDNS(0) Padding Option (RFC 7830), and DNS Query Name Minimisation to Improve Privacy (RFC 7816). However because of the great diversity of the DNS ecosystem, and the pervasive role of DNS and domain names in Internet applications and security, much is not fully understood or resolved.  
 
The goal of this workshop is to bring together privacy and Internet researchers with a diversity of backgrounds and views, to identify promising long-term mitigations of the broad space of DNS privacy risks.

Call for Submissions
-----------------------------
We welcome submissions in the form of research papers, short papers, or draft presentations, concerning all aspects of the threats, the protocols, and future design spaces, of DNS privacy or the privacy of adjacent protocols.  Usability, traceability, measurement and analytical evaluations are particularly encouraged.